org.springframework.messaging.core

## Interface MessagePostProcessor

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface MessagePostProcessor

A contract for processing a `Message` after it has been created, either returning a modified (effectively new) message or returning the same.

Since:
  4.0
Author:
  Mark Fisher, Rossen Stoyanchev
See Also:
  `MessageSendingOperations`, `MessageRequestReplyOperations`

### Method Summary

All Methods Instance Methods Abstract Methods
`Message<?>` `postProcessMessage(Message<?> message)` Process the given message.

### Method Detail

#### postProcessMessage

    Message<?> postProcessMessage(Message<?> message)

Process the given message.

Parameters:
  `message` - the message to process
Returns:
  a post-processed variant of the message, or simply the incoming message; never `null`